package com.hz.pm.api.meeting.builder;

import com.hz.pm.api.meeting.entity.domain.MeetingInnerProject;
import com.hz.pm.api.meeting.entity.domain.MeetingOuterProject;
import com.hz.pm.api.meeting.entity.dto.ProjectReviewResultDTO;

/**
 * <p>
 * ProjectReviewResultBuilder
 * </p>
 *
 * @author WendyYang
 * @since 19:21 2023/12/21
 */
public class ProjectReviewResultBuilder {

    private ProjectReviewResultBuilder() {
    }

    public static ProjectReviewResultDTO convert(MeetingInnerProject mip) {
        ProjectReviewResultDTO prr = new ProjectReviewResultDTO();
        prr.setReviewResult(mip.getReviewResult());
        prr.setBuildNecessity(mip.getBuildNecessity());
        prr.setInvestRationality(mip.getInvestRationality());
        prr.setSuggestedFunding(mip.getSuggestedFunding());
        prr.setOtherAdvices(mip.getOtherAdvices());
        prr.setTechFeasibility(mip.getTechFeasibility());
        prr.setNeedRationality(mip.getNeedRationality());
        prr.setAttachFiles(mip.getAttachFiles());
        return prr;
    }

    public static ProjectReviewResultDTO convert(MeetingOuterProject mop) {
        ProjectReviewResultDTO prr = new ProjectReviewResultDTO();
        prr.setReviewResult(mop.getReviewResult());
        prr.setBuildNecessity(mop.getBuildNecessity());
        prr.setInvestRationality(mop.getInvestRationality());
        prr.setSuggestedFunding(mop.getSuggestedFunding());
        prr.setOtherAdvices(mop.getOtherAdvices());
        prr.setTechFeasibility(mop.getTechFeasibility());
        prr.setNeedRationality(mop.getNeedRationality());
        prr.setAttachFiles(mop.getAttachFiles());
        return prr;
    }

}
